You are not logged in.

#1 2013-03-19 11:29:39

alexpj
Member
From: England
Registered: 2012-08-18
Posts: 49

[solved] "The playback of this movie requires a H.264 decoder plugin"

Hi All,

I haven't managed to work out how to get H264 video's to play in Totem.
I managed to get the sound going but the video eludes me.

Have had a google and search for "264" here so I guess it must be very easy!

Any help please?

KInd regards.

Al.

Last edited by alexpj (2013-05-19 21:24:06)

Offline

#2 2013-03-19 20:02:16

init_6
Member
From: Ukraine
Registered: 2010-10-09
Posts: 58

Re: [solved] "The playback of this movie requires a H.264 decoder plugin"

media-video/totem build on media-libs/gstreamer. So for h264 support in media-video/totem need media-plugins/gst-plugins-x264.

And if not helps try mplayer or mplayer2.

Offline

#3 2013-03-21 14:17:15

alexpj
Member
From: England
Registered: 2012-08-18
Posts: 49

Re: [solved] "The playback of this movie requires a H.264 decoder plugin"

Hi init_6 and thanks for the reply.

I'm new to gentoo/funtoo and USE, but not gnome or linux, so bear with me please:

There's not an option for gstreamer in the use provided. I know it's using gstreamer though.

[ebuild   R    ] media-video/totem-3.6.3-r1  USE="introspection nautilus python -debug -flash -grilo -lirc -nsplugin {-test} -zeitgeist" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6" 0 kB

Am I missing somethign implicit in what you said?

gst-plugins-x264 is already installed.

Thank you.

Offline

Board footer

Powered by FluxBB